ULTIMATE PLAN $2027 $299- Get everything from JoomlArt, Joomlabamboo, Gavick, JomSocial, iJoomla, DTHDevelopment Buy Now
page.title

A few days ago the Joomla team released the latest major version of Joomla - Joomla 3.5. There are a ton of new features in this release but one in particular that stands out as a major boon for all website owners - support for PHP7.

Joomla 35

PHP7 - A serious speed improvement

PHP7 was released in November 2015 and promises to be at least twice as fast as php5. Which is an incredible promise if you consider how important speed is when it comes to SERP ranking and that we can sometimes spend an inordinate amount of time shaving milliseconds of our website's page speed.

It's important to note that this speed boost doesn't mean that the page will load in half the time though.

It means that the time that Joomla takes to render the page will be theoretically cut in half. So you may see a reduction of a couple of hundred milliseconds in the time that it takes the browser to start rendering the content on the page.

A very rough test

You can measure this in the browser console under the network tab. I've pasted screenshots of before and after php7 below but to do a thorough study on the benefits of the change in PHP version you would really need to run this test thousands of times, to find the average increase in performance.

Joomla 3.5 with PHP 5.6.1

php 5.6.1

Joomla 3.5 with PHP 7.0

php 7.0

All Zen Grid Framework v4 templates and Zentools2 are already compatible with PHP7 and Joomla 3.5

Zentools2

I am delighted to be able to say that all of our Zen Grid Framework v4 Joomla templates and our flagship Joomla extension Zentools2 is already compatible with PHP7. Any of our users using those extensions already will be able to update their Joomla and PHP version without any issues with those templates and extensions.

Zentools v1 users please wait before updating

Our older Zentools v1 however needs an update to bring it into line with php7 and so we will put together a release for that module shortly. So if you are using Zentools v1 it may be a good time to update v2 or to hold off any plans of an upgrade before we can release a php7 compatible version for you.

Zentools v1.14.0 has just been released to fix the outstanding issue with PHP7 support. So Zentools v1 is now compatible with Joomla 3.5 and PHP7.

Our other extensions will also work fine on Joomla 3.5 and PHP7

We have also completed testing on the following extensions and they are all working fine on Jooml 3.5 and PHP7.

  • Zentools2
  • Zentools1
  • Skillset
  • Zen Shortcodes
  • Maps 2
  • JB Maps
  • JB Type
  • JB Library
  • Zen Social
  • Fitvids
  • jFlickr

Upgrading from Joomla 3.4 to Joomla 3.5

It's important to note that updating to Joomla 3.5 needs to be done via the Components > Joomla Update menu item rather than via the Extension manager. This is a change in behaviour from previous versions of Joomla 3.4 and more information can be found on the official Joomla announcement.

blog comments powered by Disqus